package work_experience

import (
	"context"

    "wechat-api/ent/workexperience"
    "wechat-api/internal/svc"
    "wechat-api/internal/types"
    "wechat-api/internal/utils/dberrorhandler"

    "github.com/suyuan32/simple-admin-common/msg/errormsg"
    "github.com/zeromicro/go-zero/core/logx"
)

type DeleteWorkExperienceLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDeleteWorkExperienceLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DeleteWorkExperienceLogic {
	return &DeleteWorkExperienceLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DeleteWorkExperienceLogic) DeleteWorkExperience(req *types.IDsReq) (*types.BaseMsgResp, error) {
	_, err := l.svcCtx.DB.WorkExperience.Delete().Where(workexperience.IDIn(req.Ids...)).Exec(l.ctx)

    if err != nil {
		return nil, dberrorhandler.DefaultEntError(l.Logger, err, req)
	}

    return &types.BaseMsgResp{Msg: errormsg.DeleteSuccess}, nil
}
